/**
 * BLUECARAT AG
 *
 * values at work.
 *
 * Albin-Köbis-Straße 4
 * 51147 Köln
 *
 * http://www.bluecarat.de
 *
 * This module is free software, and you may redistribute it and/or modify it under the same terms as Jenkins itself.
 */
package de.bluecarat.trafficlight.connectionhandler.exception;

/**
 * This exception type can be used to control error handling within
 * {@link de.bluecarat.trafficlight.connectionhandler.HttpGetHandler} and
 * {@link de.bluecarat.trafficlight.connectionhandler.HttpPostHandler} implementations.
 */
public class HandlerException extends Exception {

    /**
     * Serialization id.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Create a new instance.
     */
    public HandlerException() {
        super();
    }

    /**
     * Create a new instance providing a cause.
     * 
     * @param cause
     *            wrapped by this exception
     */
    public HandlerException(final Exception cause) {
        super(cause);
    }

    /**
     * Create a new instance providing a message.
     * 
     * @param message
     *            error message for this exception
     */
    public HandlerException(final String message) {
        super(message);
    }

    /**
     * Create a new instance providing a message and a cause.
     * 
     * @param message
     *            error message for this exception
     * 
     * @param cause
     *            wrapped by this exception
     */
    public HandlerException(final String message, final Exception cause) {
        super(message, cause);
    }

}
